Subject: Re: linux-next: Tree for January 12 (cifs vs. staging)

From: Greg KH <[email-masked]>
Date: Mon, 12 Jan 2009 12:21:36 -0800

On Mon, Jan 12, 2009 at 02:13:29PM -0600, Steve French wrote:
> On Mon, Jan 12, 2009 at 1:32 PM, Greg KH <[email-masked]> wrote:
> > On Mon, Jan 12, 2009 at 01:23:07PM -0600, Steve French wrote:
> >> Is there some magic compile option alternative (other than renaming
> >> the function, which may be ok, since others probably don't depend on
> >> it)?  MD5Init is used outside fs/cifs/md5.c so can't be static
> >
> > No, you should rename it to cifs_md5init to show that it is only for the
> > cifs module to use.  Try not to polute the global namespace with generic
> > function names.
> 
> Looks like cifs has the following related functions which I can rename
> if that makes it easier:
> 001a2e9 R_386_PC32        MD5Final
> 0001a302 R_386_PC32        MD5Update
> 0001a38c R_386_PC32        MD5Init
> 0001a39f R_386_PC32        MD5Update

That would make life easier for you as well :)

> Any others that I missed ...

Not that I see at the moment, but you might want to look at all of your
global symbol names to make sure they start with "cifs_".

thanks,

greg k-h